using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability865.Domain;

public class TaobaoOpenAccountTokenValidateOpenAccountTokenValidateResult
{

    /*
        错误码
    */
    private long? code;


    /*
        token中的数据
    */
    private TaobaoOpenAccountTokenValidateTokenInfo? data;


    /*
        错误信息
    */
    private string? message;


    /*
        是否成功
    */
    private bool? successful;



    [JsonPropertyName("code")]
    public long? Code
    {
        get => code;
        set => this.code = value;
    }

    [JsonPropertyName("data")]
    public TaobaoOpenAccountTokenValidateTokenInfo? Data
    {
        get => data;
        set => this.data = value;
    }

    [JsonPropertyName("message")]
    public string? Message
    {
        get => message;
        set => this.message = value;
    }

    [JsonPropertyName("successful")]
    public bool? Successful
    {
        get => successful;
        set => this.successful = value;
    }

}

